#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library libgpg-error
Summary(pl.UTF-8):	Biblioteka libgpg-error
Name:		libgpg-error
Version:	1.25
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
# Source0-md5:	d9fa545922a5060cbfbd87464bc31686
Patch0:		%{name}-pl.po-update.patch
Patch1:		%{name}-info.patch
URL:		http://www.gnupg.org/related_software/libgpg-error/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.14
BuildRequires:	gettext-tools >= 0.19.3
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

%description -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

%package devel
Summary:	Header files for libgpg-error
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgpg-error
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the header files needed to develop programs that
use these libgpg-error.

%description devel -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libgpg-error.

%package static
Summary:	Static version of libgpg-error library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libgpg-error
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the static libgpg-error libraries.

%description static -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera statyczne biblioteki libgpg-error.

%package -n common-lisp-gpg-error
Summary:	Common Lisp binding for libgpg-error library
Summary(pl.UTF-8):	Wiązania Common Lispa do biblioteki libgpg-error
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	common-lisp-controller

%description -n common-lisp-gpg-error
Common Lisp binding for libgpg-error library.

%description -n common-lisp-gpg-error -l pl.UTF-8
Wiązania Common Lispa do biblioteki libgpg-error.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libgpg-error.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libgpg-error.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libgpg-error.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/gpg-error
%attr(755,root,root) /%{_lib}/libgpg-error.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libgpg-error.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpg-error-config
%attr(755,root,root) %{_libdir}/libgpg-error.so
%{_libdir}/libgpg-error.la
%{_includedir}/gpg-error.h
%{_aclocaldir}/gpg-error.m4
%{_mandir}/man1/gpg-error-config.1*
%{_infodir}/gpgrt.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgpg-error.a
%endif

%files -n common-lisp-gpg-error
%defattr(644,root,root,755)
%{_datadir}/common-lisp/source/gpg-error
%changelog
* Sun Nov 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgpg-error.git;a=log;h=master

* Sun Nov 27 2016 Jakub Bogusz <qboosh@pld-linux.org> e78023d
- updated to 1.25
- updated pl.po-update patch

* Tue Oct 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 85df7c3
- package common-lisp- binding; release 2

* Sat Jul 30 2016 Jakub Bogusz <qboosh@pld-linux.org> 8f70f8f
- updated to 1.24

* Wed Jun 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 43c5e4b
- updated to 1.23
- updated pl.po-update patch

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 1cb7fb6
- updated to 1.22
- updated pl.po-update patch

* Tue Dec 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 82a31e5
- updated to 1.21
- updated pl.po-update patch

* Mon Sep 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 0b5c18b
- updated to 1.20

* Sat Apr 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 623bc17
- updated to 1.19
- updated pl.po-update patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 858367a
- x32 rebuild
- release 2 (by relup.sh)

* Wed Jan 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 4a1baa8
- updated to 1.18
- old pl.po-update patch obsolete, replaced by new one

* Tue Dec 23 2014 Jan Rękorajski <baggins@pld-linux.org> ff14078
- updated gettext BR

* Thu Oct 16 2014 Jakub Bogusz <qboosh@pld-linux.org> c83646b
- updated to 1.17
- updated pl.po-update patch
- added info patch (unify direntry)

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> b962c7e
- updated to 1.16
- updated pl.po-update patch

* Fri Apr 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 869cd8c
- updated to 1.13
- pl.po-update patch replaced by a new one

* Tue Jun 25 2013 Jakub Bogusz <qboosh@pld-linux.org> be45929
- updated to 1.12
- updated pl.po-update patch

* Fri Mar 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 59fb9dc
- updated to 1.11
- updated pl.po-update patch
- removed obsolete gpg_error_config patch

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> baaf280
- updated to 1.10
- updated pl.po-update patch

* Thu Aug 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 716d224
- updated to 1.9
- updated pl.po-update patch

* Sat May 08 2010 Jakub Bogusz <qboosh@pld-linux.org> d43bb33
- updated to 1.8
- updated patches

* Fri Dec 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 7b25538
- updated to 1.7
- updated pl.po-update patch

